Bug 113009 - Memory leak after running for 2 days
Memory leak after running for 2 days
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-07 05:58 EST by Bossi
Modified: 2015-01-04 17:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bossi 2004-01-07 05:58:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705)

Description of problem:
I am running this linux box only to control and monitor various 
servers and network equipment.
There is a apache webserver, sendmail, nagios and apan running.

After running the box for about a day, free shows the following:

            total      used      free    shared   buffers    cached
Mem:       504584    288896    215688         0     32072    134720
-/+ buffers/cache:    22104    382480
Swap:     1044216         0   1044216

After running the box for two days, free shows the following:

            total      used      free    shared   buffers    cached
Mem:       504584    495764      8820         0      1440     17268
-/+ buffers/cache:   477056     27528
Swap:     1044216     57248    986968

The machine starts swapping like crazy (the disk is running 
continously) and the system becomes so sluggish that is completely 
unusable.
How can I find out where this memory goes?
This is absolutely reproducible, in runlevel 3 and runlevel 5

Version-Release number of selected component (if applicable):
kernel-2.4.20-27.9

How reproducible:
Always

Steps to Reproduce:
1. Booting
2. Run the System for two days
3.
    

Additional info:
Comment 1 Dave Jones 2004-01-07 08:47:15 EST
/proc/slabinfo will be a good place to start.
Comment 2 marco 2004-03-10 03:40:31 EST
Have the same issue since I instaled apan. Have you already posted the
issue to the apan mailing list?
Comment 3 Bossi 2004-03-11 00:57:53 EST
Since I use the Fedora Project instead of Redhat 9 I have no Problems 
anymore!!
Comment 4 John Siciliano2 2004-05-14 15:31:44 EDT
I am having similiar problems with memory leaks from an unknown 
source.
Below is the /proc/slabinfo output
Note: This was a after a fresh reboot several hours before.

slabinfo - version: 1.1 (SMP)
kmem_cache            64     64    244    4    4    1 :  252  126
urb_priv               0      0     48    0    0    1 :  252  126
journal_head         246   3900     48   16   50    1 :  252  126
revoke_table         126    254     12    1    1    1 :  252  126
revoke_record        126    203     16    1    1    1 :  252  126
tcp_tw_bucket        120    120    128    4    4    1 :  252  126
tcp_bind_bucket      126    203     16    1    1    1 :  252  126
tcp_open_request      40     40     96    1    1    1 :  252  126
inet_peer_cache       78     78     48    1    1    1 :  252  126
ip_fib_hash          126    203     16    1    1    1 :  252  126
ip_dst_cache         240    240    160   10   10    1 :  252  126
arp_cache             35     35    112    1    1    1 :  252  126
blkdev_requests     2080   2080     96   52   52    1 :  252  126
dnotify_cache          0      0     20    0    0    1 :  252  126
file_lock_cache       40     40     96    1    1    1 :  252  126
fasync_cache           0      0     16    0    0    1 :  252  126
uid_cache            113    113     32    1    1    1 :  252  126
skbuff_head_cache    192    192    160    8    8    1 :  252  126
sock                 174    174   1296   58   58    1 :   60   30
sigqueue              29     29    132    1    1    1 :  252  126
kiobuf                 0      0     64    0    0    1 :  252  126
cdev_cache          2496   2496     48   32   32    1 :  252  126
bdev_cache            59     59     64    1    1    1 :  252  126
mnt_cache             59     59     64    1    1    1 :  252  126
inode_cache       104002 104560    480 13015 13070    1 :  124   62
dentry_cache      110346 112110    128 3679 3737    1 :  252  126
dquot                 30     30    128    1    1    1 :  252  126
filp                1155   1155    112   33   33    1 :  252  126
names_cache            9      9   4096    9    9    1 :   60   30
buffer_head        36718  42640     96  980 1066    1 :  252  126
mm_struct            120    120    192    6    6    1 :  252  126
vm_area_struct      4788   5040     80  105  105    1 :  252  126
fs_cache             156    156     48    2    2    1 :  252  126
files_cache          108    108    416   12   12    1 :  124   62
signal_act           108    108   1296   36   36    1 :   60   30
pte_chain          43848  51359     16  231  253    1 :  252  126
pae_pgd              113    113     32    1    1    1 :  252  126
size-131072(DMA)       0      0 131072    0    0   32 :    0    0
size-131072            0      0 131072    0    0   32 :    0    0
size-65536(DMA)        0      0  65536    0    0   16 :    0    0
size-65536             0      0  65536    0    0   16 :    0    0
size-32768(DMA)        0      0  32768    0    0    8 :    0    0
size-32768             0      1  32768    0    1    8 :    0    0
size-16384(DMA)        0      0  16384    0    0    4 :    0    0
size-16384             0      1  16384    0    1    4 :    0    0
size-8192(DMA)         0      0   8192    0    0    2 :    0    0
size-8192              3      4   8192    3    4    2 :    0    0
size-4096(DMA)         0      0   4096    0    0    1 :   60   30
size-4096            137    137   4096  137  137    1 :   60   30
size-2048(DMA)         0      0   2048    0    0    1 :   60   30
size-2048            130    160   2048   78   80    1 :   60   30
size-1024(DMA)         0      0   1024    0    0    1 :  124   62
size-1024             92     92   1024   23   23    1 :  124   62
size-512(DMA)          0      0    512    0    0    1 :  124   62
size-512              56     56    512    7    7    1 :  124   62
size-256(DMA)          0      0    256    0    0    1 :  252  126
size-256             105    105    256    7    7    1 :  252  126
size-128(DMA)         30     30    128    1    1    1 :  252  126
size-128             570    570    128   19   19    1 :  252  126
size-64(DMA)           0      0     64    0    0    1 :  252  126
size-64             1062   1062     64   18   18    1 :  252  126
size-32(DMA)         113    113     32    1    1    1 :  252  126
size-32             1695   1695     32   15   15    1 :  252  126
Comment 5 Bugzilla owner 2004-09-30 11:41:46 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.